---
title: "Development"
date: 2020-07-03T13:15:20+02:00
draft: false
chapter: true
weight: 200
---

# Further development of Matrix

Matrix is an open standard, the details of interoperable communication using the matrix set of HTTP-APIs are freely published. Matrix is also open source, which means that the source code of the reference servers, clients and services has been released to the public under the Apache v2 license to encourage everyone to run their own servers and clients.

![free software banner](/images/free-software-likes-you-and-your-freedom.webp)

Since it is free software, improvement requests can be converted into direct programming jobs.

Currently still in development, and can be promoted/accelerated by orders/donations, are among others


* [Threading (more clearly arranged discussions)](https://github.com/vector-im/roadmap/issues/34)
* [Knock on rooms](https://github.com/vector-im/roadmap/issues/31)
* [Personal status](https://github.com/vector-im/roadmap/issues/22)
* PDF Preview
* [Mark last messages as unread](https://github.com/vector-im/roadmap/issues/34)
* [Polls](https://github.com/vector-im/roadmap/issues/29)
* various integrations / bots / bridges

Discussions on the topic can be held in [#matrix-tech-discussions:kit.edu](https://matrix.to/#/#matrix-tech-discussions:kit.edu).


